Pular para o conteúdo principal

Não há mais suporte para esse navegador.

Atualize o Microsoft Edge para aproveitar os recursos, o suporte técnico e as atualizações de segurança mais recentes.

Baixar o Microsoft Edge Mais informações sobre o Internet Explorer e o Microsoft Edge
microsoft-foundry.rest.security.o-auth2-auth

Insights

Generate insights

POST /insights

Generates an insights report from the provided evaluation configuration.

Parâmetros do cabeçalho

Foundry-Features enum

A feature flag opt-in required when using preview operations or modifying persisted preview resources.

Insights=V1Preview
Repeatability-Request-ID string

Unique, client-generated identifier for ensuring request idempotency. Use the same ID for retries to prevent duplicate evaluations.

Repeatability-First-Sent string

Timestamp indicating when this request was first initiated. Used in conjunction with repeatability-request-id for idempotency control.

Parâmetros de consulta

api-version string exigido

The API version to use for this operation.

Corpo da solicitação

Complete evaluation configuration including data source, evaluators, and result settings

Content-Type: application/json
id string exigido

The unique identifier for the insights report.

metadata InsightsMetadata exigido

Metadata about the insights.

createdAt string exigido

The timestamp when the insights were created.

completedAt string

The timestamp when the insights were completed.

state enum | string exigido

Enum describing allowed operation states.

Qualquer uma das seguintes opções:
enum
NotStartedRunningSucceededFailedCanceled
string
displayName string exigido

User friendly display name for the insight.

request EvaluationRunClusterInsight | AgentClusterInsight | EvaluationComparison exigido

The request of the insights report.

Um dos seguintes:
EvaluationRunClusterInsight EvaluationRunClusterInsightRequest

Insights on set of Evaluation Results

type enum exigido

The type of insights request.

EvaluationRunClusterInsight
evalId string exigido

Evaluation Id for the insights.

runIds string[] exigido

List of evaluation run IDs for the insights.

modelConfiguration InsightModelConfiguration

Configuration of the model used in the insight generation.

modelDeploymentName string exigido

The model deployment to be evaluated. Accepts either the deployment name alone or with the connection name as '{connectionName}/<modelDeploymentName>'.

AgentClusterInsight AgentClusterInsightRequest

Insights on set of Agent Evaluation Results

type enum exigido

The type of request.

AgentClusterInsight
agentName string exigido

Identifier for the agent.

modelConfiguration InsightModelConfiguration

Configuration of the model used in the insight generation.

modelDeploymentName string exigido

The model deployment to be evaluated. Accepts either the deployment name alone or with the connection name as '{connectionName}/<modelDeploymentName>'.

EvaluationComparison EvaluationComparisonInsightRequest

Evaluation Comparison Request

type enum exigido

The type of request.

EvaluationComparison
evalId string exigido

Identifier for the evaluation.

baselineRunId string exigido

The baseline run ID for comparison.

treatmentRunIds string[] exigido

List of treatment run IDs for comparison.

result EvaluationComparison | EvaluationRunClusterInsight | AgentClusterInsight

The result of the insights.

Um dos seguintes:
EvaluationComparison EvaluationComparisonInsightResult

Insights from the evaluation comparison.

type enum exigido

The type of insights result.

EvaluationComparison
comparisons EvalRunResultComparison[] exigido

Comparison results for each treatment run against the baseline.

method string exigido

The statistical method used for comparison.

EvaluationRunClusterInsight EvaluationRunClusterInsightResult

Insights from the evaluation run cluster analysis.

type enum exigido

The type of insights result.

EvaluationRunClusterInsight
clusterInsight ClusterInsightResult exigido

Insights from the cluster analysis.

summary InsightSummary exigido

Summary of the error cluster analysis.

sampleCount integer exigido

Total number of samples analyzed.

uniqueSubclusterCount integer exigido

Total number of unique subcluster labels.

uniqueClusterCount integer exigido

Total number of unique clusters.

method string exigido

Method used for clustering.

usage ClusterTokenUsage exigido

Token usage for cluster analysis

inputTokenUsage integer exigido

input token usage

outputTokenUsage integer exigido

output token usage

totalTokenUsage integer exigido

total token usage

clusters InsightCluster[] exigido

List of clusters identified in the insights.

coordinates object

Optional mapping of IDs to 2D coordinates used by the UX for visualization. The map keys are string identifiers (for example, a cluster id or a sample id) and the values are the coordinates and visual size for rendering on a 2D chart. This property is omitted unless the client requests coordinates (for example, by passing includeCoordinates=true as a query parameter). Example: { "cluster-1": { "x": 12, "y": 34, "size": 8 }, "sample-123": { "x": 18, "y": 22, "size": 4 } } Coordinates are intended only for client-side visualization and do not modify the canonical insights results.

[key: string] ChartCoordinate

Coordinates for the analysis chart.

x integer exigido

X-axis coordinate.

y integer exigido

Y-axis coordinate.

size integer exigido

Size of the chart element.

AgentClusterInsight AgentClusterInsightResult

Insights from the agent cluster analysis.

type enum exigido

The type of insights result.

AgentClusterInsight
clusterInsight ClusterInsightResult exigido

Insights from the cluster analysis.

summary InsightSummary exigido

Summary of the error cluster analysis.

sampleCount integer exigido

Total number of samples analyzed.

uniqueSubclusterCount integer exigido

Total number of unique subcluster labels.

uniqueClusterCount integer exigido

Total number of unique clusters.

method string exigido

Method used for clustering.

usage ClusterTokenUsage exigido

Token usage for cluster analysis

inputTokenUsage integer exigido

input token usage

outputTokenUsage integer exigido

output token usage

totalTokenUsage integer exigido

total token usage

clusters InsightCluster[] exigido

List of clusters identified in the insights.

coordinates object

Optional mapping of IDs to 2D coordinates used by the UX for visualization. The map keys are string identifiers (for example, a cluster id or a sample id) and the values are the coordinates and visual size for rendering on a 2D chart. This property is omitted unless the client requests coordinates (for example, by passing includeCoordinates=true as a query parameter). Example: { "cluster-1": { "x": 12, "y": 34, "size": 8 }, "sample-123": { "x": 18, "y": 22, "size": 4 } } Coordinates are intended only for client-side visualization and do not modify the canonical insights results.

[key: string] ChartCoordinate

Coordinates for the analysis chart.

x integer exigido

X-axis coordinate.

y integer exigido

Y-axis coordinate.

size integer exigido

Size of the chart element.

Respostas

The request has succeeded and a new resource has been created as a result.

Corpo

Content-Type: application/json
id string exigido

The unique identifier for the insights report.

metadata InsightsMetadata exigido

Metadata about the insights.

createdAt string exigido

The timestamp when the insights were created.

completedAt string

The timestamp when the insights were completed.

state enum | string exigido

Enum describing allowed operation states.

Qualquer uma das seguintes opções:
enum
NotStartedRunningSucceededFailedCanceled
string
displayName string exigido

User friendly display name for the insight.

request EvaluationRunClusterInsight | AgentClusterInsight | EvaluationComparison exigido

The request of the insights report.

Um dos seguintes:
EvaluationRunClusterInsight EvaluationRunClusterInsightRequest

Insights on set of Evaluation Results

type enum exigido

The type of insights request.

EvaluationRunClusterInsight
evalId string exigido

Evaluation Id for the insights.

runIds string[] exigido

List of evaluation run IDs for the insights.

modelConfiguration InsightModelConfiguration

Configuration of the model used in the insight generation.

modelDeploymentName string exigido

The model deployment to be evaluated. Accepts either the deployment name alone or with the connection name as '{connectionName}/<modelDeploymentName>'.

AgentClusterInsight AgentClusterInsightRequest

Insights on set of Agent Evaluation Results

type enum exigido

The type of request.

AgentClusterInsight
agentName string exigido

Identifier for the agent.

modelConfiguration InsightModelConfiguration

Configuration of the model used in the insight generation.

modelDeploymentName string exigido

The model deployment to be evaluated. Accepts either the deployment name alone or with the connection name as '{connectionName}/<modelDeploymentName>'.

EvaluationComparison EvaluationComparisonInsightRequest

Evaluation Comparison Request

type enum exigido

The type of request.

EvaluationComparison
evalId string exigido

Identifier for the evaluation.

baselineRunId string exigido

The baseline run ID for comparison.

treatmentRunIds string[] exigido

List of treatment run IDs for comparison.

result EvaluationComparison | EvaluationRunClusterInsight | AgentClusterInsight

The result of the insights.

Um dos seguintes:
EvaluationComparison EvaluationComparisonInsightResult

Insights from the evaluation comparison.

type enum exigido

The type of insights result.

EvaluationComparison
comparisons EvalRunResultComparison[] exigido

Comparison results for each treatment run against the baseline.

method string exigido

The statistical method used for comparison.

EvaluationRunClusterInsight EvaluationRunClusterInsightResult

Insights from the evaluation run cluster analysis.

type enum exigido

The type of insights result.

EvaluationRunClusterInsight
clusterInsight ClusterInsightResult exigido

Insights from the cluster analysis.

summary InsightSummary exigido

Summary of the error cluster analysis.

sampleCount integer exigido

Total number of samples analyzed.

uniqueSubclusterCount integer exigido

Total number of unique subcluster labels.

uniqueClusterCount integer exigido

Total number of unique clusters.

method string exigido

Method used for clustering.

usage ClusterTokenUsage exigido

Token usage for cluster analysis

inputTokenUsage integer exigido

input token usage

outputTokenUsage integer exigido

output token usage

totalTokenUsage integer exigido

total token usage

clusters InsightCluster[] exigido

List of clusters identified in the insights.

coordinates object

Optional mapping of IDs to 2D coordinates used by the UX for visualization. The map keys are string identifiers (for example, a cluster id or a sample id) and the values are the coordinates and visual size for rendering on a 2D chart. This property is omitted unless the client requests coordinates (for example, by passing includeCoordinates=true as a query parameter). Example: { "cluster-1": { "x": 12, "y": 34, "size": 8 }, "sample-123": { "x": 18, "y": 22, "size": 4 } } Coordinates are intended only for client-side visualization and do not modify the canonical insights results.

[key: string] ChartCoordinate

Coordinates for the analysis chart.

x integer exigido

X-axis coordinate.

y integer exigido

Y-axis coordinate.

size integer exigido

Size of the chart element.

AgentClusterInsight AgentClusterInsightResult

Insights from the agent cluster analysis.

type enum exigido

The type of insights result.

AgentClusterInsight
clusterInsight ClusterInsightResult exigido

Insights from the cluster analysis.

summary InsightSummary exigido

Summary of the error cluster analysis.

sampleCount integer exigido

Total number of samples analyzed.

uniqueSubclusterCount integer exigido

Total number of unique subcluster labels.

uniqueClusterCount integer exigido

Total number of unique clusters.

method string exigido

Method used for clustering.

usage ClusterTokenUsage exigido

Token usage for cluster analysis

inputTokenUsage integer exigido

input token usage

outputTokenUsage integer exigido

output token usage

totalTokenUsage integer exigido

total token usage

clusters InsightCluster[] exigido

List of clusters identified in the insights.

coordinates object

Optional mapping of IDs to 2D coordinates used by the UX for visualization. The map keys are string identifiers (for example, a cluster id or a sample id) and the values are the coordinates and visual size for rendering on a 2D chart. This property is omitted unless the client requests coordinates (for example, by passing includeCoordinates=true as a query parameter). Example: { "cluster-1": { "x": 12, "y": 34, "size": 8 }, "sample-123": { "x": 18, "y": 22, "size": 4 } } Coordinates are intended only for client-side visualization and do not modify the canonical insights results.

[key: string] ChartCoordinate

Coordinates for the analysis chart.

x integer exigido

X-axis coordinate.

y integer exigido

Y-axis coordinate.

size integer exigido

Size of the chart element.

Client error

Corpo

Content-Type: application/json
error OpenAI.Error exigido
code string | null exigido
message string exigido
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Qualquer uma das seguintes opções:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string exigido

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Server error

Corpo

Content-Type: application/json
error OpenAI.Error exigido
code string | null exigido
message string exigido
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Qualquer uma das seguintes opções:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string exigido

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Solicitar

POST /insights HTTP/1.1

Resposta

Status: 201
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
pt-br
Suas escolhas de privacidade
  • Aviso de isenção de responsabilidade sobre a IA
  • Versões anteriores
  • Blog
  • Contribuir
  • Privacidade
  • Privacidade da Integridade do Consumidor
  • Termos de Uso
  • Marcas Comerciais
  • © Microsoft 2026